Package com.xebialabs.xlrelease.domain.versioning.ascode.validation

# Class MissingPassword

java.lang.Object
com.xebialabs.xlrelease.domain.versioning.ascode.validation.MissingPassword

All Implemented Interfaces:
  `ValidationMessage`

public class MissingPassword extends Object implements ValidationMessage

- ## Field Summary

  ### Fields inherited from interface com.xebialabs.xlrelease.domain.versioning.ascode.validation.ValidationMessage

  `LEVEL_ERROR, LEVEL_WARN`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MissingPassword(CiInfo ci, String property, String placeholder)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `CiInfo`
  `getCi()`
  `String`
  `getMessage()`
  `String`
  `getMessageLevel()`
  `String`
  `getMessageType()`
  `String`
  `getPlaceholder()`
  `String`
  `getProperty()`
  `int`
  `hashCode()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MissingPassword

    public MissingPassword(CiInfo ci, String property, String placeholder)

- ## Method Details

  - ### getPlaceholder

    public String getPlaceholder()

  - ### getCi

    public CiInfo getCi()
    Specified by:
      `getCi` in interface `ValidationMessage`

  - ### getProperty

    public String getProperty()
    Specified by:
      `getProperty` in interface `ValidationMessage`

  - ### getMessage

    public String getMessage()
    Specified by:
      `getMessage` in interface `ValidationMessage`

  - ### getMessageType

    public String getMessageType()
    Specified by:
      `getMessageType` in interface `ValidationMessage`

  - ### getMessageLevel

    public String getMessageLevel()
    Specified by:
      `getMessageLevel` in interface `ValidationMessage`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`